<script>
import HdwBox from "@/components/HdwBox.vue";

export default {
  name: "StateInfo" ,
  components: {HdwBox},
  data() {
    return {
      title: "标题"
    };
  },
}
</script>

<template>
  <hdw-box :title="title">
    <template #tools>
      <el-button size="small" type="primary">启动测试</el-button>
    </template>
    <el-scrollbar>
      <div class="state-info-title">IIC读取数据</div>
      <div class="state-info-list-wrapper">
        <el-row :gutter="0">
          <el-col :span="8">
            <div class="state-info-item-wrapper">
              <div class="state-info-label">A相电压:</div>
              <div class="state-info-value-wrapper">
                <div class="state-info-value">0</div>
                <div class="state-info-unit">V</div>
              </div>
            </div>
          </el-col>
          <el-col :span="8">
            <div class="state-info-item-wrapper">
              <div class="state-info-label">B相电压:</div>
              <div class="state-info-value-wrapper">
                <div class="state-info-value">0</div>
                <div class="state-info-unit">V</div>
              </div>
            </div>
          </el-col>
          <el-col :span="8">
            <div class="state-info-item-wrapper">
              <div class="state-info-label">C相电压:</div>
              <div class="state-info-value-wrapper">
                <div class="state-info-value">0</div>
                <div class="state-info-unit">V</div>
              </div>
            </div>
          </el-col>
          <el-col :span="8">
            <div class="state-info-item-wrapper">
              <div class="state-info-label">A相电流:</div>
              <div class="state-info-value-wrapper">
                <div class="state-info-value">0</div>
                <div class="state-info-unit">A</div>
              </div>
            </div>
          </el-col>
          <el-col :span="8">
            <div class="state-info-item-wrapper">
              <div class="state-info-label">B相电流:</div>
              <div class="state-info-value-wrapper">
                <div class="state-info-value">0</div>
                <div class="state-info-unit">A</div>
              </div>
            </div>
          </el-col>
          <el-col :span="8">
            <div class="state-info-item-wrapper">
              <div class="state-info-label">C相电流:</div>
              <div class="state-info-value-wrapper">
                <div class="state-info-value">0</div>
                <div class="state-info-unit">A</div>
              </div>
            </div>
          </el-col>
        </el-row>
      </div>
      <div class="state-info-title adc">单片机ADC采样</div>
      <div class="state-info-list-wrapper">
        <el-row :gutter="0">
          <el-col :span="8">
            <div class="state-info-item-wrapper">
              <div class="state-info-label">A相电压:</div>
              <div class="state-info-value-wrapper">
                <div class="state-info-value">0</div>
                <div class="state-info-unit">V</div>
              </div>
            </div>
          </el-col>
          <el-col :span="8">
            <div class="state-info-item-wrapper">
              <div class="state-info-label">B相电压:</div>
              <div class="state-info-value-wrapper">
                <div class="state-info-value">0</div>
                <div class="state-info-unit">V</div>
              </div>
            </div>
          </el-col>
          <el-col :span="8">
            <div class="state-info-item-wrapper">
              <div class="state-info-label">C相电压:</div>
              <div class="state-info-value-wrapper">
                <div class="state-info-value">0</div>
                <div class="state-info-unit">V</div>
              </div>
            </div>
          </el-col>
          <el-col :span="8">
            <div class="state-info-item-wrapper">
              <div class="state-info-label">A相电流:</div>
              <div class="state-info-value-wrapper">
                <div class="state-info-value">0</div>
                <div class="state-info-unit">A</div>
              </div>
            </div>
          </el-col>
          <el-col :span="8">
            <div class="state-info-item-wrapper">
              <div class="state-info-label">B相电流:</div>
              <div class="state-info-value-wrapper">
                <div class="state-info-value">0</div>
                <div class="state-info-unit">A</div>
              </div>
            </div>
          </el-col>
          <el-col :span="8">
            <div class="state-info-item-wrapper">
              <div class="state-info-label">C相电流:</div>
              <div class="state-info-value-wrapper">
                <div class="state-info-value">0</div>
                <div class="state-info-unit">A</div>
              </div>
            </div>
          </el-col>
        </el-row>
      </div>
      <div class="state-info-title line"></div>
      <div class="state-info-list-wrapper">
        <el-row :gutter="0">
          <el-col :span="8">
            <div class="state-info-item-wrapper">
              <div class="state-info-label">A相功率:</div>
              <div class="state-info-value-wrapper">
                <div class="state-info-value">0</div>
                <div class="state-info-unit"></div>
              </div>
            </div>
          </el-col>
          <el-col :span="8">
            <div class="state-info-item-wrapper">
              <div class="state-info-label">B相功率:</div>
              <div class="state-info-value-wrapper">
                <div class="state-info-value">0</div>
                <div class="state-info-unit"></div>
              </div>
            </div>
          </el-col>
          <el-col :span="8">
            <div class="state-info-item-wrapper">
              <div class="state-info-label">C相功率:</div>
              <div class="state-info-value-wrapper">
                <div class="state-info-value">0</div>
                <div class="state-info-unit"></div>
              </div>
            </div>
          </el-col>
          <el-col :span="8">
            <div class="state-info-item-wrapper">
              <div class="state-info-label">母线电压:</div>
              <div class="state-info-value-wrapper">
                <div class="state-info-value">0</div>
                <div class="state-info-unit">V</div>
              </div>
            </div>
          </el-col>
          <el-col :span="8">
            <div class="state-info-item-wrapper">
              <div class="state-info-label">交流频率:</div>
              <div class="state-info-value-wrapper">
                <div class="state-info-value">0</div>
                <div class="state-info-unit">HZ</div>
              </div>
            </div>
          </el-col>
          <el-col :span="8">
            <div class="state-info-item-wrapper">
              <div class="state-info-label">PCB温度:</div>
              <div class="state-info-value-wrapper">
                <div class="state-info-value">0</div>
                <div class="state-info-unit">℃</div>
              </div>
            </div>
          </el-col>
          <el-col :span="12">
            <div class="state-info-item-wrapper">
              <div class="state-info-label">BUS+正电压:</div>
              <div class="state-info-value-wrapper">
                <div class="state-info-value">0</div>
                <div class="state-info-unit">V</div>
              </div>
            </div>
          </el-col>
          <el-col :span="12">
            <div class="state-info-item-wrapper">
              <div class="state-info-label">A散热器温度:</div>
              <div class="state-info-value-wrapper">
                <div class="state-info-value">0</div>
                <div class="state-info-unit">℃</div>
              </div>
            </div>
          </el-col>
          <el-col :span="12">
            <div class="state-info-item-wrapper">
              <div class="state-info-label">B散热器温度:</div>
              <div class="state-info-value-wrapper">
                <div class="state-info-value">0</div>
                <div class="state-info-unit">℃</div>
              </div>
            </div>
          </el-col>
          <el-col :span="12">
            <div class="state-info-item-wrapper">
              <div class="state-info-label">C散热器温度:</div>
              <div class="state-info-value-wrapper">
                <div class="state-info-value">0</div>
                <div class="state-info-unit">℃</div>
              </div>
            </div>
          </el-col>
<!--          <el-col :span="12">-->
<!--            <div class="state-info-item-wrapper">-->
<!--              <div class="state-info-label">A相电压有效值:</div>-->
<!--              <div class="state-info-value-wrapper">-->
<!--                <div class="state-info-value">0</div>-->
<!--                <div class="state-info-unit">V</div>-->
<!--              </div>-->
<!--            </div>-->
<!--          </el-col>-->
<!--          <el-col :span="12">-->
<!--            <div class="state-info-item-wrapper">-->
<!--              <div class="state-info-label">B相电压有效值:</div>-->
<!--              <div class="state-info-value-wrapper">-->
<!--                <div class="state-info-value">0</div>-->
<!--                <div class="state-info-unit">V</div>-->
<!--              </div>-->
<!--            </div>-->
<!--          </el-col>-->
<!--          <el-col :span="12">-->
<!--            <div class="state-info-item-wrapper">-->
<!--              <div class="state-info-label">C相电压有效值:</div>-->
<!--              <div class="state-info-value-wrapper">-->
<!--                <div class="state-info-value">0</div>-->
<!--                <div class="state-info-unit">C</div>-->
<!--              </div>-->
<!--            </div>-->
<!--          </el-col>-->
<!--          <el-col :span="12">-->
<!--            <div class="state-info-item-wrapper">-->
<!--              <div class="state-info-label large">A相电流有效值:</div>-->
<!--              <div class="state-info-value-wrapper">-->
<!--                <div class="state-info-value">0</div>-->
<!--                <div class="state-info-unit">A</div>-->
<!--              </div>-->
<!--            </div>-->
<!--          </el-col>-->
<!--          <el-col :span="12">-->
<!--            <div class="state-info-item-wrapper">-->
<!--              <div class="state-info-label large">B相电流有效值:</div>-->
<!--              <div class="state-info-value-wrapper">-->
<!--                <div class="state-info-value">0</div>-->
<!--                <div class="state-info-unit">A</div>-->
<!--              </div>-->
<!--            </div>-->
<!--          </el-col>-->
<!--          <el-col :span="12">-->
<!--            <div class="state-info-item-wrapper">-->
<!--              <div class="state-info-label">C相电流有效值:</div>-->
<!--              <div class="state-info-value-wrapper">-->
<!--                <div class="state-info-value">0</div>-->
<!--                <div class="state-info-unit">A</div>-->
<!--              </div>-->
<!--            </div>-->
<!--          </el-col>-->
        </el-row>
      </div>
    </el-scrollbar>
  </hdw-box>
</template>

<style scoped lang="scss">
.state-info-list-wrapper {
  .state-info-item-wrapper {
    padding: 4px 0;
    text-align: left;
    white-space: nowrap;
    font-size: 14px;
    .state-info-label {
      display: inline-block;
      text-align: right;
      padding: 0 8px;
      color: #f2f2f2;
      .large {
        min-width: 140px;
        text-align: right;
      }
    }
    .state-info-value-wrapper {
      display: inline-block;
      text-align: center;
      min-width: 70px;
      padding: 4px 8px;
      border: 1px solid var(--base-color);
      border-radius: 4px;
      background-color: var(--bg-color);
      .state-info-value {
        display: inline-block;
      }
      .state-info-unit {
        display: inline-block;
      }
    }
  }
}
.state-info-title {
  padding: 4px 8px;
  font-size: 14px;
  &.adc {
    border-top: 1px solid var(--base-color90);
  }
  &.line {
    padding: 0;
    border-top: 1px solid var(--base-color90);
  }
}
</style>
